### Method

# Vips Buf firstline

#### Declaration [src]

    const char*
    vips_buf_firstline (
      VipsBuf* buf
    )

#### Description [src]

Trim to just the first line (excluding “\n”).

#### Return value

Type: `const char*`

The `NULL`-terminated contents of the buffer. This is a pointer to the memory managed by the buffer and must not be freed.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.